<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "twilio_number_removed".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TwilioNumberRemoved".
 *
 * Columns in table "twilio_number_removed" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property integer $provider_id
 * @property integer $practice_id
 * @property string $twilio_partner_id
 * @property string $twilio_number
 * @property integer $enabled
 * @property integer $is_dynamic
 * @property string $redirect_to
 * @property string $redirect_created
 * @property string $intro_greeting_message
 * @property integer $enabled_interface
 * @property integer $enabled_recording
 * @property integer $enabled_email
 * @property string $date_added
 * @property string $date_delete_on
 * @property string $date_force_delete_on
 * @property string $date_deleted
 * @property string $admin_account_id
 *
 */
abstract class BaseTwilioNumberRemoved extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'twilio_number_removed';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'TwilioNumberRemoved|TwilioNumberRemoveds', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('id, practice_id, twilio_partner_id, date_added, date_deleted', 'required'),
            array('provider_id, practice_id, enabled, is_dynamic, enabled_interface, enabled_recording, enabled_email', 'numerical', 'integerOnly' => true),
            array('id, twilio_partner_id, admin_account_id', 'length', 'max' => 11),
            array('twilio_number', 'length', 'max' => 10),
            array('redirect_to', 'length', 'max' => 12),
            array('intro_greeting_message', 'length', 'max' => 255),
            array('redirect_created, date_delete_on, date_force_delete_on', 'safe'),
            array('provider_id, twilio_number, enabled, is_dynamic, redirect_to, redirect_created, intro_greeting_message, enabled_interface, enabled_recording, enabled_email, date_delete_on, date_force_delete_on, admin_account_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_id, practice_id, twilio_partner_id, twilio_number, enabled, is_dynamic, redirect_to, redirect_created, intro_greeting_message, enabled_interface, enabled_recording, enabled_email, date_added, date_delete_on, date_force_delete_on, date_deleted, admin_account_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'twilio_partner_id' => Yii::t('app', 'Twilio Partner'),
            'twilio_number' => Yii::t('app', 'Twilio Number'),
            'enabled' => Yii::t('app', 'Enabled'),
            'is_dynamic' => Yii::t('app', 'Is Dynamic'),
            'redirect_to' => Yii::t('app', 'Redirect To'),
            'redirect_created' => Yii::t('app', 'Redirect Created'),
            'intro_greeting_message' => Yii::t('app', 'Intro Greeting Message'),
            'enabled_interface' => Yii::t('app', 'Enabled Interface'),
            'enabled_recording' => Yii::t('app', 'Enabled Recording'),
            'enabled_email' => Yii::t('app', 'Enabled Email'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_delete_on' => Yii::t('app', 'Date Delete On'),
            'date_force_delete_on' => Yii::t('app', 'Date Force Delete On'),
            'date_deleted' => Yii::t('app', 'Date Deleted'),
            'admin_account_id' => Yii::t('app', 'Admin Account'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('twilio_partner_id', $this->twilio_partner_id, true);
        $criteria->compare('twilio_number', $this->twilio_number, true);
        $criteria->compare('enabled', $this->enabled);
        $criteria->compare('is_dynamic', $this->is_dynamic);
        $criteria->compare('redirect_to', $this->redirect_to, true);
        $criteria->compare('redirect_created', $this->redirect_created, true);
        $criteria->compare('intro_greeting_message', $this->intro_greeting_message, true);
        $criteria->compare('enabled_interface', $this->enabled_interface);
        $criteria->compare('enabled_recording', $this->enabled_recording);
        $criteria->compare('enabled_email', $this->enabled_email);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_delete_on', $this->date_delete_on, true);
        $criteria->compare('date_force_delete_on', $this->date_force_delete_on, true);
        $criteria->compare('date_deleted', $this->date_deleted, true);
        $criteria->compare('admin_account_id', $this->admin_account_id, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
